#include<iostream>
using namespace std;
int main(){
    ios_base::sync_with_stdio(0);
    cin.tie(0);
    cout.tie(0);
	int n,m;
	cin>>n>>m;
	int a[n][m];
	for(int i=0;i<n;i++){
		for(int j=0;j<m;j++){
			cin>>a[i][j];
		}
	}
	bool ans=1;
	for(int i=1;i<n;i++){
		for(int j=0;j<m;j++){
		    ans&=a[i][j]>=a[i-1][j];
		}
	}
	cout<<(ans?"Yes\n":"No\n");
}